WML::DES::SPACE(1)

NAME
wml::des::space - Layout Space

SYNOPSIS
 #use wml::des::space

 <space [width=X] [height=Y]>

 <hspace X>

 <vspace Y>

 <over X>
 </over>

DESCRIPTION
These are high-level layouting tags for preserving whitespace which use the "<imgdot>" tag from wml::des::imgdot(3). Use them to create whitespace on a webpage.

"<space" ["width="X] ["height="Y]">"
    Creates a 1pt transparent dot-image and resizes it to the size X times Y in points, so a rectangular white area if size XxY is the effect.

"<hspace" X">"
    Creates a horizontal line, i.e. a rectangular area of size Xx1.

"<vspace" Y">"
    Creates a vertical line, i.e. a rectangular area of size 1xY.

"<over" X">"..."</over>"
    This pushs over contained body X pixels to the right.

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES
 Internal: P1, P2, wml::des::imgdot (WML)

SEEALSO
wml::des::imgdot(3)